/*会员中心 - 优惠券 - 按钮(马上领取)*/

.aui-accountCoupon-button {
    display: inline-block;
    outline: none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    font: 16px/100% 'Microsoft yahei', Arial, Helvetica, sans-serif;
    /*需替换*/
    padding: .5em 2em .55em;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0);
    -webkit-border-radius: .5em;
    -moz-border-radius: .5em;
    border-radius: .5em;
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    width: 60%;
    height: 50px;
    line-height: 30px;
}

.aui-accountCoupon-button:hover {
    text-decoration: none;
}

.aui-accountCoupon-button:active {
    position: relative;
    top: 1px;
}

.aui-accountCoupon-button-bigrounded {
    -webkit-border-radius: 2em;
    -moz-border-radius: 2em;
    border-radius: 2em;
}


/* red */

.aui-accountCoupon-button-red {
    color: white;
    border: solid 1px #f00a43;
    background: #f00a43;
    background: -webkit-gradient(linear, left top, left bottom, from(#f00a43), to(#f00a43));
    background: -moz-linear-gradient(top, #f00a43, #f00a43);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#faa51a', endColorstr='#f00a43');
}

.aui-accountCoupon-button-red:hover {
    background: #f00a43;
    background: -webkit-gradient(linear, left top, left bottom, from(#f00a43), to(#f00a43));
    background: -moz-linear-gradient(top, #f00a43, #f00a43);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#f00a43', endColorstr='#f00a43');
}

.aui-accountCoupon-button-red:active {
    color: #f00a43;
    background: -webkit-gradient(linear, left top, left bottom, from(#f00a43), to(#f00a43));
    background: -moz-linear-gradient(top, #f00a43, #f00a43);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#f00a43', endColorstr='#f00a43');
}

.unUsedCoupon {
    width: 100%;
    height: 99px;
    background: url('../img/bg/unused-coupon2.png') no-repeat top center;
}


/*优惠券样式*/

.coupon-list {
    width: 100%;
    margin: 0 auto;
}

.coupon-wrapper {
    display: flex;
    position: relative;
    width: 98%;
    height: 130px;
    margin: auto;
    filter: drop-shadow(0px 0px 3px #ccc);
}

.coupon-left {
    background: #58a;
    background: radial-gradient(circle at top right, transparent 5px, #ffffff 0) top right, radial-gradient(circle at bottom right, transparent 5px, #ffffff 0) bottom right;
    background-size: 100% 60%;
    background-repeat: no-repeat;
    color: white;
    width: 70%;
    border-radius: 5px 0 0 5px;
}

.coupon-right {
    background: #58a;
    background: radial-gradient(circle at top left, transparent 5px, #ffffff 0) top left, radial-gradient(circle at bottom left, transparent 5px, #ffffff 0) bottom left;
    background-size: 100% 60%;
    background-repeat: no-repeat;
    width: 30%;
    color: white;
    border-radius: 0 5px 5px 0;
}

.coupon-right::after {
    content: "";
    position: absolute;
    top: 5px;
    height: 120px;
    margin-left: -15.5%;
    border-left: 2px dashed #efefef;
}

.coupon-left-amount {
    float: left;
    color: red;
    width: 30%;
    padding-left: 20px;
    margin-top: -20px;
    /* line-height: 130px;      */
}

.coupon-left-text {
    float: left;
    width: 70%;
    color: #000000;
    /* padding-top: 20px; */
    margin-top: -40px;
    padding-left: 30px;
}

.coupon-left-text-name {
    font-size: 18px;
    text-align: left;
    font-weight: 600;
}

.coupon-left-text-discount {
    font-size: 15px;
    text-align: left;
    color: #737373
}

.coupon-left-text-expired-date {
    font-size: 12px;
    text-align: left;
    color: #d0d0d0
}


/*优惠券 - 立即使用*/

.aui-accountCouponUse-button {
    display: inline-block;
    outline: none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    font-size: 14px;
    padding: 5px;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0);
    -webkit-border-radius: .5em;
    -moz-border-radius: .5em;
    border-radius: .5em;
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    width: 80%;
}

.aui-accountCouponUse-button:hover {
    text-decoration: none;
}

.aui-accountCouponUse-button:active {
    position: relative;
    top: 1px;
}

.aui-accountCouponUse-button-bigrounded {
    -webkit-border-radius: 1em;
    -moz-border-radius: 1em;
    border-radius: 28px;
}

.aui-accountCouponUse-button-red {
    color: white;
    border: solid 1px #f00a43;
    background: #f00a43;
    background: -webkit-gradient(linear, left top, left bottom, from(#f00a43), to(#f00a43));
    background: -moz-linear-gradient(top, #f00a43, #f00a43);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#faa51a', endColorstr='#f00a43');
}

.aui-accountCouponUse-button-red:hover {
    background: #f00a43;
    background: -webkit-gradient(linear, left top, left bottom, from(#f00a43), to(#f00a43));
    background: -moz-linear-gradient(top, #f00a43, #f00a43);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#f00a43', endColorstr='#f00a43');
}

.aui-accountCouponUse-button-red:active {
    color: #f00a43;
    background: -webkit-gradient(linear, left top, left bottom, from(#f00a43), to(#f00a43));
    background: -moz-linear-gradient(top, #f00a43, #f00a43);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#f00a43', endColorstr='#f00a43');
}

.aui-accountCouponUse-button-yellow {
    color: white;
    border: solid 1px #e9ad0c;
    background: #e9ad0c;
    background: -webkit-gradient(linear, left top, left bottom, from(#e9ad0c), to(#e9ad0c));
    background: -moz-linear-gradient(top, #e9ad0c, #e9ad0c);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#faa51a', endColorstr='#f00a43');
}


/*优惠券过期*/

.coupon-left-amount-expired {
    float: left;
    color: #c9c9c9;
    width: 30%;
    /* line-height: 130px;   */
    padding-left: 20px;
    margin-top: -20px;
}

.coupon-left-text-expired {
    float: left;
    width: 70%;
    color: #c9c9c9;
    /* padding-top: 20px;  */
    margin-top: -40px;
    padding-left: 30px;
}

.coupon-left-text-discount-expired {
    font-size: 15px;
    text-align: left;
    color: #c9c9c9
}

.coupon-left-text-expired-date-expired {
    font-size: 12px;
    text-align: left;
    color: #c9c9c9
}

.aui-accountCouponExpired-button {
    display: inline-block;
    outline: none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    font-size: 14px;
    padding: 5px;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0);
    -webkit-border-radius: .5em;
    -moz-border-radius: .5em;
    border-radius: .5em;
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    width: 80%;
}

.aui-accountCouponExpired-button:hover {
    text-decoration: none;
}

.aui-accountCouponExpired-button:active {
    position: relative;
    top: 1px;
}

.aui-accountCouponExpired-button-bigrounded {
    -webkit-border-radius: 1em;
    -moz-border-radius: 1em;
    border-radius: 28px;
}

.aui-accountCouponExpired-button-red {
    color: white;
    border: solid 1px #b7b6b6;
    background: #b7b6b6;
    background: -webkit-gradient(linear, left top, left bottom, from(#b7b6b6), to(#b7b6b6));
    background: -moz-linear-gradient(top, #b7b6b6, #b7b6b6);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#faa51a', endColorstr='#b7b6b6');
}

.aui-accountCouponExpired-button-red:hover {
    background: #b7b6b6;
    background: -webkit-gradient(linear, left top, left bottom, from(#b7b6b6), to(#b7b6b6));
    background: -moz-linear-gradient(top, #b7b6b6, #b7b6b6);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#b7b6b6', endColorstr='#b7b6b6');
}

.aui-accountCouponExpired-button-red:active {
    color: #f00a43;
    background: -webkit-gradient(linear, left top, left bottom, from(#b7b6b6), to(#b7b6b6));
    background: -moz-linear-gradient(top, #b7b6b6, #b7b6b6);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#b7b6b6', endColorstr='#b7b6b6');
}


/*优惠券过期结束*/


/*领取优惠券*/

.coupon-wrapper-coll {
    display: flex;
    position: relative;
    width: 98%;
    height: 330px;
    margin: auto;
    filter: drop-shadow(2px 2px -1px #999);
}

.round-circle {
    width: 8px;
    height: 8px;
    font-size: 8px;
    display: inline-block;
    text-align: center;
    color: #000000;
    text-decoration: none
}

.aui-accountCouponColl-button {
    display: inline-block;
    outline: none;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    font-size: 14px;
    padding: .5em 1em .5em .5em;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0);
    -webkit-border-radius: .5em;
    -moz-border-radius: .5em;
    border-radius: .5em;
    -webkit-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    -moz-box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    box-shadow: 0 1px 2px rgba(0, 0, 0, .2);
    width: 80%;
}

.aui-accountCouponColl-button:hover {
    text-decoration: none;
}

.aui-accountCouponColl-button:active {
    position: relative;
    top: 1px;
}

.aui-accountCouponColl-button-bigrounded {
    -webkit-border-radius: 32px;
    -moz-border-radius: 32px;
    border-radius: 32px;
}

.aui-accountCouponColl-button-red {
    color: #f00a43;
    border: solid 1px #f00a43;
    background: #ffffff;
    background: -webkit-gradient(linear, left top, left bottom, from(#ffffff), to(#ffffff));
    background: -moz-linear-gradient(top, #ffffff, #ffffff);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ffffff');
}

.aui-accountCouponColl-button-red:hover {
    background: #ffffff;
    background: -webkit-gradient(linear, left top, left bottom, from(#ffffff), to(#ffffff));
    background: -moz-linear-gradient(top, #ffffff, #ffffff);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ffffff');
}

.aui-accountCouponColl-button-red:active {
    color: #ffffff;
    background: -webkit-gradient(linear, left top, left bottom, from(#ffffff), to(#ffffff));
    background: -moz-linear-gradient(top, #ffffff, #ffffff);
    filter: progid: DXImageTransform.Microsoft.gradient(startColorstr='#ffffff', endColorstr='#ffffff');
}


/*快过期斜角*/

.soonExpired {
    display: block;
    position: relative;
    width: 50%;
    height: 24px;
    font-size: 14px;
    background-color: red;
    color: white;
    line-height: 28px;
    text-align: center;
    float: left;
    transform: translate(-34%, 34%) rotate(-45deg);
    /* box-shadow: 1px 0 5px rgba(0,0,0,.5),inset 0 0 2px #fff; */
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.1);
}


/*领取优惠券 成功弹出框样式*/

.aui-accountBalance-success-tip {
    position: relative;
    margin-left: 120px;
    margin-top: -138px;
    text-align: center;
    color: white;
    width: 40%;
    height: 70px;
    line-height: 70px;
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 1);
    font-size: 16px;
}

.coupon-left-amount-grey {
    color: #b7b5b5;
}

.coupon-left-text-name-grey {
    color: #b6b4b5;
}

.coupon-left-text-discount-grey {
    color: #b5b4b4;
}

.coupon-left-text-expired-date-grey {
    color: #b6b4b4;
}